% bsplookuptable_sim.m
% Kap. 9.4
% Initialisierung, Simulation und graphische Darstellung fr bsplookuptable.m

echo on;
% Vector of input values
vecin = [-10:2:10];
% Vector of output values
vecout = [-5 -5 -5 -2 -2 -2 4.5 4.5 4.5 0 -1];

pause

sim('bsplookuptable', 20.0);

pause

line = plot(auslese(:,1), auslese(:,2),'k-', vecin, vecout, 'o');

set(gca,'FontSize',13);

xlabel('Eingangssignal: Rampe mit Steigung 1');
ylabel('Ausgang der Look-Up Table');
title('Werte der Look-Up Table (o) und Ausgangssignal');
set(line(1),'LineWidth',2.5);
set(line(2),'LineWidth',2.5);

grid on;
echo off;