% GNMbode.m
% Kap. 9.8.3
% Linearisierung und Erzeugung von Bodediagrammen von GNM_lsg_bode.mdl

% Zustandsdarstellung von GNM_lsg_bode.mdl
% u1 = UA, u2 = MW, y1 = N
[A,B,C,D] = linmod('GNM_lsg_bode');

% LTI-Objekt mit u1 und y1:
sysUA_N = ss(A,B(:,1),C,D(:,1));
% LTI-Objekt mit u2 und y1:
sysMW_N = ss(A,B(:,2),C,D(:,2));

figure(1)
bode(sysUA_N,{1,10000});
figure(2)
bode(sysMW_N,{1,10000});
